## milk.experiment
Class MIRemoteExperimentSubTask

    java.lang.Object
      |
      +--milk.experiment.MIRemoteExperimentSubTask

All Implemented Interfaces:
  java.io.Serializable, weka.experiment.Task

public class MIRemoteExperimentSubTask
extends java.lang.Object
implements weka.experiment.Task

Class to encapsulate an experiment as a task that can be executed on a remote host.

See Also:
  Serialized Form

Constructor Summary
`MIRemoteExperimentSubTask()`

Method Summary
`void` `execute()` Run the experiment
`MIExperiment` `getExperiment()` Get the experiment for this sub task
`weka.experiment.TaskStatusInfo` `getTaskStatus()`
`void` `setExperiment(MIExperiment task)` Set the experiment for this sub task

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIRemoteExperimentSubTask

    public MIRemoteExperimentSubTask()

Method Detail

### setExperiment

    public void setExperiment(MIExperiment task)

  Set the experiment for this sub task

  Parameters:
    `task` - the experiment

### getExperiment

    public MIExperiment getExperiment()

  Get the experiment for this sub task

  Returns:
    this sub task's experiment

### execute

    public void execute()

  Run the experiment

  Specified by:
    `execute` in interface `weka.experiment.Task`

### getTaskStatus

    public weka.experiment.TaskStatusInfo getTaskStatus()

  Specified by:
    `getTaskStatus` in interface `weka.experiment.Task`